Has patch:
Complexity:
Subject: UnexpectedValueException thrown in file Session.php
Description

Object not found
6 SplObjectStorage::offsetGet(F3\Test\Domain\Model\Category_AOPProxy_Development)
5 F3\FLOW3\Persistence\Session::getIdentifierByObject(F3\Test\Domain\Model\Category_AOPProxy_Development)
4 F3\FLOW3\Persistence\Session::unregisterReconstitutedEntity(F3\Test\Domain\Model\Category_AOPProxy_Development)
3 F3\FLOW3\Persistence\PersistenceManager::persistAll()
2 F3\FLOW3\Core\Bootstrap::run()
1 require("/var/www/mydomain.dev/Packages/Framework/FLOW3/Scripts/FLOW3.php")

This happens when the remove() Method of a repository is called. But still the Object is removed afterward.

public function createAction() {
    $object = $this->objectManager->create("F3\Test\Domain\Model\Category");
    $this->categoryRepository->add($object);
}

public function removeAction( \F3\Test\Domain\Model\Category $category ) {
    $this->categoryRepository->remove($category);
}

I'm using latest revision at this time and mysql as persistance backend.

History
#1 - 2010-03-11 10:51 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#2 - 2010-03-11 21:40 - Karsten Dambekalns
- Status changed from Accepted to Needs Feedback
- Target version set to 1.0 alpha 8

Please test with current SVN, this sounds familiar and should be fixed as of now.

#3 - 2010-03-12 10:53 - Georg Ortner

Thanks this seems to be fixed now, but there is something broken with the Session now.
Object "F3\FLOW3\Object\SessionRegistry" is not registered.
5 F3\FLOW3\Object\Container\AbstractObjectContainer::get("F3\FLOW3\Object\SessionRegistry")
4 call_user_func_array(array, array)
3 F3\FLOW3\Object\ObjectManager::get("F3\FLOW3\Object\SessionRegistry")
2 F3\FLOW3\Core\Bootstrap::run()
1 require("/var/www/mydomain.dev/Packages/Framework/FLOW3/Scripts/FLOW3.php")

#4 - 2010-03-12 12:36 - Karsten Dambekalns
- Status changed from Needs Feedback to Resolved
- % Done changed from 0 to 100

Great to see that fixed. The SessionRegistry problem is known and will be fixed by middle of next week at the latest (but it's unrelated to this particular
issue).
